#pragma once

#include "esp_lcd_touch.h"
#include "lvgl.h" // Needed for lv_indev_t, lv_indev_data_t

class Touch {
public:
    Touch();
    void init();
    esp_lcd_touch_handle_t getTouchHandle() const;

    static void lv_indev_read_cb(lv_indev_t *indev, lv_indev_data_t *data);

private:
    esp_lcd_touch_handle_t touch_handle;
};
